aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJasper Van der Jeugt2020-08-23 17:43:47 +0200
committerJasper Van der Jeugt2020-08-23 17:43:47 +0200
commitc336657b53e4d2ab245d3d8a06b9659fbce9b787 (patch)
tree848014873bbe6174f5727b41eb6eaf7e80e0ddc4
parentb69c0235e75d2ae5a0057a4715e691d2194ea77e (diff)
Add scripts/create-rooms.sh
-rw-r--r--scripts/create-rooms.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/create-rooms.sh b/scripts/create-rooms.sh
new file mode 100644
index 0000000..76b47bb
--- /dev/null
+++ b/scripts/create-rooms.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -o nounset -o pipefail -o errexit
+
+for ((r=1; r <= 20; r++)); do
+ echo $r
+ curl 'https://uplcg.jaspervdj.be/rooms' \
+ -H 'Content-Type: application/x-www-form-urlencoded' \
+ --data-raw "id=room$(printf "%02d" "$r")&password=&deck=icfp2020"
+done